Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoParseTreeDepthInit< FType, Node > Class Template Reference
[ParseTree]

eoParseTreeDepthInit : the initializer class for eoParseTree More...

`#include <gp/eoParseTreeDepthInit.h>`

Inheritance diagram for eoParseTreeDepthInit< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoParseTreeDepthInit (unsigned _max_depth, const std::vector< Node > &_initializor, bool _grow=true, bool _ramped_half_and_half=false)
| Constructor.
virtual std::string | className () const
| My class name.
void | operator() (EoType &_tree)
| initialize a tree
## Private Member Functions
void | generate (std::list< Node > &sequence, int the_max, int last_terminal=-1)
## Private Attributes
unsigned | max_depth
std::vector< Node > | initializor
bool | grow
bool | ramped_half_and_half
unsigned | current_depth

## Detailed Description

### template<class FType, class Node>
class eoParseTreeDepthInit< FType, Node >

eoParseTreeDepthInit : the initializer class for eoParseTree

Definition at line 48 of file eoParseTreeDepthInit.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoParseTreeDepthInit< FType, Node >::eoParseTreeDepthInit | ( | unsigned | _max_depth,
|  | const std::vector< Node > & | _initializor,
|  | bool | _grow = `true`,
|  | bool | _ramped_half_and_half = `false`
| ) | `[inline]`

  | Constructor. _max_depth The maximum depth of a tree Parameters:
  | _initializor | A std::vector containing the possible nodes
  | _grow | False results in a full tree, True result is a randomly grown tree
  | _ramped_half_and_half | True results in Ramped Half and Half Initialization
Definition at line 69 of file eoParseTreeDepthInit.h.

## Member Function Documentation

template<class FType, class Node>
void eoParseTreeDepthInit< FType, Node >::operator() | ( | EoType & | _tree | ) | `[inline]`

  | initialize a tree Parameters:
  | _tree | : the tree to be initialized
Definition at line 96 of file eoParseTreeDepthInit.h.

The documentation for this class was generated from the following file:

- eoParseTreeDepthInit.h